Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415669 - NFS-Ganesha: Do not perform 'Refresh-config' while there are I/Os going on
Summary: NFS-Ganesha: Do not perform 'Refresh-config' while there are I/Os going on
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-Administration_Guide
Version: rhgs-3.2
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: RHGS 3.2.0
Assignee: Bhavana
QA Contact: Arthy Loganathan
URL:
Whiteboard:
Depends On:
Blocks: 1351553
TreeView+ depends on / blocked
 
Reported: 2017-01-23 12:03 UTC by Soumya Koduri
Modified: 2017-03-24 10:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 10:23:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1414410 0 unspecified CLOSED [NFS-Ganesha] Ganesha service crashed while doing refresh config on volume and when IOs are running. 2021-02-22 00:41:40 UTC

Internal Links: 1414410

Description Soumya Koduri 2017-01-23 12:03:34 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Storage/3.1/html-single/Administration_Guide/index.html#sect-NFS_Ganesha

Section Number and Name: 
7.2.4. NFS-Ganesha
Section: Modifying the default export configuration

Describe the issue: 
Refresh-config command internally unexports and then re-exports the volume. This may affect the on-going I/Os on that volume.

Suggestions for improvement: 
We need to recommend to not perform any I/Os on the volume when refresh-config operation is being performed.

Additional information:

Comment 2 Bhavana 2017-02-08 11:52:54 UTC
Hi Soumya,

Based on our discussion I have added a note under the "Modifying the default export configuration"

http://ccs-jenkins.gsslab.brq.redhat.com:8080/job/doc-Red_Hat_Gluster_Storage-3.2-Administration_Guide-branch-master/lastSuccessfulBuild/artifact/tmp/en-US/html-single/index.html#sect-NFS_Ganesha

Comment 3 Arthy Loganathan 2017-03-13 05:11:53 UTC
Changes look good. Moving this BZ to verified in 3.2.

Comment 4 Rejy M Cyriac 2017-03-24 10:23:20 UTC
RHGS 3.2.0 GA completed on 23 March 2017


Note You need to log in before you can comment on or make changes to this bug.